--- channels/chan_sip.c.ORIG	2011-08-23 02:03:29.000000000 +0200
+++ channels/chan_sip.c	2011-08-23 01:54:18.000000000 +0200
@@ -26892,12 +26892,12 @@
 
 		ast_string_field_set(peer, tohost, srvlookup);
 
-		if (global_dynamic_exclude_static) {
+		if (global_dynamic_exclude_static && ast_sockaddr_stringify_addr(&peer->addr) != NULL) {
 			int err = 0;
 			sip_cfg.contact_ha = ast_append_ha("deny", ast_sockaddr_stringify_addr(&peer->addr), 
 							sip_cfg.contact_ha, &err);
 			if (err) {
-				ast_log(LOG_ERROR, "Bad ACL entry in configuration line %d : %s\n", v->lineno, v->value);
+				ast_log(LOG_ERROR, "Can't add dynamic 'contactdeny' ACL for address %s\n", ast_sockaddr_stringify_addr(&peer->addr));
 			}
 		}
 	} else if (peer->dnsmgr && !peer->host_dynamic) {
